FinnishAnalyzer (Lucene 10.5.1 common API)
Description: declaration: package: org.apache.lucene.analysis.fi, class: FinnishAnalyzer

Package org.apache.lucene.analysis.fi

# Class FinnishAnalyzer

java.lang.Object
org.apache.lucene.analysis.Analyzer
org.apache.lucene.analysis.StopwordAnalyzerBase
org.apache.lucene.analysis.fi.FinnishAnalyzer

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public final class FinnishAnalyzer extends StopwordAnalyzerBase
`Analyzer` for Finnish.

Since:
  3.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

  `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_STOPWORD_FILE`
  File containing default Italian stopwords.

  ### Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

  `stopwords`

  ### Fields inherited from class org.apache.lucene.analysis.Analyzer

  `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FinnishAnalyzer()`
  Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.
  `FinnishAnalyzer(CharArraySet stopwords)`
  Builds an analyzer with the given stop words.
  `FinnishAnalyzer(CharArraySet stopwords, CharArraySet stemExclusionSet)`
  Builds an analyzer with the given stop words.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Analyzer.TokenStreamComponents`
  `createComponents(String fieldName)`
  Creates a `Analyzer.TokenStreamComponents` which tokenizes all the text in the provided `Reader`.
  `static CharArraySet`
  `getDefaultStopSet()`
  Returns an unmodifiable instance of the default stop words set.
  `protected TokenStream`
  `normalize(String fieldName, TokenStream in)`

  ### Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

  `getStopwordSet, loadStopwordSet, loadStopwordSet`

  ### Methods inherited from class org.apache.lucene.analysis.Analyzer

  `attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, initReader, initReaderForNormalization, normalize, tokenStream, tokenStream`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE
    File containing default Italian stopwords.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FinnishAnalyzer

    public FinnishAnalyzer()
    Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.

  - ### FinnishAnalyzer

    public FinnishAnalyzer(CharArraySet stopwords)
    Builds an analyzer with the given stop words.
    Parameters:
      `stopwords` - a stopword set

  - ### FinnishAnalyzer

    public FinnishAnalyzer(CharArraySet stopwords, CharArraySet stemExclusionSet)
    Builds an analyzer with the given stop words. If a non-empty stem exclusion set is provided this analyzer will add a `SetKeywordMarkerFilter` before stemming.
    Parameters:
      `stopwords` - a stopword set
      `stemExclusionSet` - a set of terms not to be stemmed

- ## Method Details

  - ### getDefaultStopSet

    public static CharArraySet getDefaultStopSet()
    Returns an unmodifiable instance of the default stop words set.
    Returns:
      default stop words set.

  - ### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName)
    Creates a `Analyzer.TokenStreamComponents` which tokenizes all the text in the provided `Reader`.
    Specified by:
      `createComponents` in class `Analyzer`
    Returns:
      A `Analyzer.TokenStreamComponents` built from an `StandardTokenizer` filtered with `LowerCaseFilter`, `StopFilter`, `SetKeywordMarkerFilter` if a stem exclusion set is provided and `SnowballFilter`.

  - ### normalize

    protected TokenStream normalize(String fieldName, TokenStream in)
    Overrides:
      `normalize` in class `Analyzer`